package cn.com.qmth.stmms.biz.exam.service;

import cn.com.qmth.stmms.biz.exam.model.Exam;
import cn.com.qmth.stmms.biz.exam.query.ExamSearchQuery;
import cn.com.qmth.stmms.biz.mark.model.PictureConfigItem;
import cn.com.qmth.stmms.common.enums.ExamType;

import java.util.Date;
import java.util.List;

public interface ExamService {

    Exam save(Exam exam);

    Exam findById(Integer id);

    void updateSliceConfig(Integer id, List<PictureConfigItem> configList);

    ExamSearchQuery findByQuery(ExamSearchQuery query);

    List<Exam> findBySchoolIdAndTypeAndStatus(Integer schoolId, ExamType type);

    List<Exam> findBySchoolIdAndStatus(Integer schoolId);

    Exam findBySchoolAndCode(Integer schoolId, String code);

    List<Exam> findByUserId(Integer id, Date time);

}
